### Function

# Cogl xlib_renderer_handle_event

#### Declaration [src]

    CoglFilterReturn
    cogl_xlib_renderer_handle_event (
      CoglRenderer* renderer,
      XEvent* event
    )

#### Description [src]

This function processes a single event; it can be used to hook into external event retrieval (for example that done by Clutter or GDK).

This function is not directly available to language bindings.

#### Parameters

`renderer`

  Type: `CoglRenderer`

  A `CoglRenderer`.

  The data is owned by the caller of the function.

`event`

  Type: `XEvent`

  Pointer to an XEvent structure.

  The data is owned by the caller of the function.

#### Return value

Type: `CoglFilterReturn`

`CoglFilterReturn`. `COGL_FILTER_REMOVE` indicates that Cogl has internally handled the event and the caller should do no further processing. `COGL_FILTER_CONTINUE` indicates that Cogl is either not interested in the event, or has used the event to update internal state without taking any exclusive action.